Get this repository:
git clone https://git.launchpad.net/ubuntu/+source/mysql-5.7
Members of Ubuntu Server Dev import team can upload to this repository. Log in for directions.

Branches

Name Last Modified Last Commit
importer/ubuntu/dsc 2019-04-29 12:09:25 UTC 2019-04-29
DSC file for 5.7.26-0ubuntu0.19.04.1

Author: Ubuntu Git Importer
Author Date: 2019-04-29 12:09:25 UTC

DSC file for 5.7.26-0ubuntu0.19.04.1

ubuntu/cosmic-updates 2019-04-29 11:58:20 UTC 2019-04-29
Import patches-unapplied version 5.7.26-0ubuntu0.18.10.1 to ubuntu/cosmic-sec...

Author: Marc Deslauriers
Author Date: 2019-04-25 16:46:45 UTC

Import patches-unapplied version 5.7.26-0ubuntu0.18.10.1 to ubuntu/cosmic-security

Imported using git-ubuntu import.

Changelog parent: 0cf0a0f258da61908c2429dc2d501b25c14a3b02

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.26 to fix security issues
    - CVE-2019-2566, CVE-2019-2581, CVE-2019-2592, CVE-2019-2614,
      CVE-2019-2627, CVE-2019-2628, CVE-2019-2632, CVE-2019-2683
  * Removed patches included in new version:
    - debian/patches/fix-mysqldump-test-dates
  * debian/control: added pkg-config to Build-Depends.

ubuntu/xenial-security 2019-04-29 11:58:20 UTC 2019-04-29
Import patches-unapplied version 5.7.26-0ubuntu0.16.04.1 to ubuntu/xenial-sec...

Author: Marc Deslauriers
Author Date: 2019-04-25 19:00:00 UTC

Import patches-unapplied version 5.7.26-0ubuntu0.16.04.1 to ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: 123f05f92e3d87cc5cd7cee3618fad499538af29

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.26 to fix security issues
    - CVE-2019-2566, CVE-2019-2581, CVE-2019-2592, CVE-2019-2614,
      CVE-2019-2627, CVE-2019-2628, CVE-2019-2632, CVE-2019-2683
  * Removed patches included in new version:
    - debian/patches/fix-mysqldump-test-dates
  * debian/control: added pkg-config to Build-Depends.

ubuntu/xenial-devel 2019-04-29 11:58:20 UTC 2019-04-29
Import patches-unapplied version 5.7.26-0ubuntu0.16.04.1 to ubuntu/xenial-sec...

Author: Marc Deslauriers
Author Date: 2019-04-25 19:00:00 UTC

Import patches-unapplied version 5.7.26-0ubuntu0.16.04.1 to ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: 123f05f92e3d87cc5cd7cee3618fad499538af29

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.26 to fix security issues
    - CVE-2019-2566, CVE-2019-2581, CVE-2019-2592, CVE-2019-2614,
      CVE-2019-2627, CVE-2019-2628, CVE-2019-2632, CVE-2019-2683
  * Removed patches included in new version:
    - debian/patches/fix-mysqldump-test-dates
  * debian/control: added pkg-config to Build-Depends.

ubuntu/cosmic-security 2019-04-29 11:58:20 UTC 2019-04-29
Import patches-unapplied version 5.7.26-0ubuntu0.18.10.1 to ubuntu/cosmic-sec...

Author: Marc Deslauriers
Author Date: 2019-04-25 16:46:45 UTC

Import patches-unapplied version 5.7.26-0ubuntu0.18.10.1 to ubuntu/cosmic-security

Imported using git-ubuntu import.

Changelog parent: 0cf0a0f258da61908c2429dc2d501b25c14a3b02

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.26 to fix security issues
    - CVE-2019-2566, CVE-2019-2581, CVE-2019-2592, CVE-2019-2614,
      CVE-2019-2627, CVE-2019-2628, CVE-2019-2632, CVE-2019-2683
  * Removed patches included in new version:
    - debian/patches/fix-mysqldump-test-dates
  * debian/control: added pkg-config to Build-Depends.

ubuntu/disco-updates 2019-04-29 11:58:20 UTC 2019-04-29
Import patches-unapplied version 5.7.26-0ubuntu0.19.04.1 to ubuntu/disco-secu...

Author: Marc Deslauriers
Author Date: 2019-04-25 16:41:32 UTC

Import patches-unapplied version 5.7.26-0ubuntu0.19.04.1 to ubuntu/disco-security

Imported using git-ubuntu import.

Changelog parent: a27672af334180f2e167605cceab42801f4d7dbd

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.26 to fix security issues
    - CVE-2019-2566, CVE-2019-2581, CVE-2019-2592, CVE-2019-2614,
      CVE-2019-2627, CVE-2019-2628, CVE-2019-2632, CVE-2019-2683
  * Removed patches included in new version:
    - debian/patches/fix-mysqldump-test-dates
  * debian/control: added pkg-config to Build-Depends.

ubuntu/disco-security 2019-04-29 11:58:20 UTC 2019-04-29
Import patches-unapplied version 5.7.26-0ubuntu0.19.04.1 to ubuntu/disco-secu...

Author: Marc Deslauriers
Author Date: 2019-04-25 16:41:32 UTC

Import patches-unapplied version 5.7.26-0ubuntu0.19.04.1 to ubuntu/disco-security

Imported using git-ubuntu import.

Changelog parent: a27672af334180f2e167605cceab42801f4d7dbd

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.26 to fix security issues
    - CVE-2019-2566, CVE-2019-2581, CVE-2019-2592, CVE-2019-2614,
      CVE-2019-2627, CVE-2019-2628, CVE-2019-2632, CVE-2019-2683
  * Removed patches included in new version:
    - debian/patches/fix-mysqldump-test-dates
  * debian/control: added pkg-config to Build-Depends.

ubuntu/xenial-updates 2019-04-29 11:58:20 UTC 2019-04-29
Import patches-unapplied version 5.7.26-0ubuntu0.16.04.1 to ubuntu/xenial-sec...

Author: Marc Deslauriers
Author Date: 2019-04-25 19:00:00 UTC

Import patches-unapplied version 5.7.26-0ubuntu0.16.04.1 to ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: 123f05f92e3d87cc5cd7cee3618fad499538af29

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.26 to fix security issues
    - CVE-2019-2566, CVE-2019-2581, CVE-2019-2592, CVE-2019-2614,
      CVE-2019-2627, CVE-2019-2628, CVE-2019-2632, CVE-2019-2683
  * Removed patches included in new version:
    - debian/patches/fix-mysqldump-test-dates
  * debian/control: added pkg-config to Build-Depends.

ubuntu/disco-devel 2019-04-29 11:58:20 UTC 2019-04-29
Import patches-unapplied version 5.7.26-0ubuntu0.19.04.1 to ubuntu/disco-secu...

Author: Marc Deslauriers
Author Date: 2019-04-25 16:41:32 UTC

Import patches-unapplied version 5.7.26-0ubuntu0.19.04.1 to ubuntu/disco-security

Imported using git-ubuntu import.

Changelog parent: a27672af334180f2e167605cceab42801f4d7dbd

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.26 to fix security issues
    - CVE-2019-2566, CVE-2019-2581, CVE-2019-2592, CVE-2019-2614,
      CVE-2019-2627, CVE-2019-2628, CVE-2019-2632, CVE-2019-2683
  * Removed patches included in new version:
    - debian/patches/fix-mysqldump-test-dates
  * debian/control: added pkg-config to Build-Depends.

ubuntu/bionic-devel 2019-04-29 11:58:20 UTC 2019-04-29
Import patches-unapplied version 5.7.26-0ubuntu0.18.04.1 to ubuntu/bionic-sec...

Author: Marc Deslauriers
Author Date: 2019-04-25 18:10:30 UTC

Import patches-unapplied version 5.7.26-0ubuntu0.18.04.1 to ubuntu/bionic-security

Imported using git-ubuntu import.

Changelog parent: 401136d342630e0331d404724eccca513dcedc55

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.26 to fix security issues
    - CVE-2019-2566, CVE-2019-2581, CVE-2019-2592, CVE-2019-2614,
      CVE-2019-2627, CVE-2019-2628, CVE-2019-2632, CVE-2019-2683
  * Removed patches included in new version:
    - debian/patches/fix-mysqldump-test-dates
  * debian/control: added pkg-config to Build-Depends.

ubuntu/bionic-security 2019-04-29 11:58:20 UTC 2019-04-29
Import patches-unapplied version 5.7.26-0ubuntu0.18.04.1 to ubuntu/bionic-sec...

Author: Marc Deslauriers
Author Date: 2019-04-25 18:10:30 UTC

Import patches-unapplied version 5.7.26-0ubuntu0.18.04.1 to ubuntu/bionic-security

Imported using git-ubuntu import.

Changelog parent: 401136d342630e0331d404724eccca513dcedc55

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.26 to fix security issues
    - CVE-2019-2566, CVE-2019-2581, CVE-2019-2592, CVE-2019-2614,
      CVE-2019-2627, CVE-2019-2628, CVE-2019-2632, CVE-2019-2683
  * Removed patches included in new version:
    - debian/patches/fix-mysqldump-test-dates
  * debian/control: added pkg-config to Build-Depends.

ubuntu/bionic-updates 2019-04-29 11:58:20 UTC 2019-04-29
Import patches-unapplied version 5.7.26-0ubuntu0.18.04.1 to ubuntu/bionic-sec...

Author: Marc Deslauriers
Author Date: 2019-04-25 18:10:30 UTC

Import patches-unapplied version 5.7.26-0ubuntu0.18.04.1 to ubuntu/bionic-security

Imported using git-ubuntu import.

Changelog parent: 401136d342630e0331d404724eccca513dcedc55

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.26 to fix security issues
    - CVE-2019-2566, CVE-2019-2581, CVE-2019-2592, CVE-2019-2614,
      CVE-2019-2627, CVE-2019-2628, CVE-2019-2632, CVE-2019-2683
  * Removed patches included in new version:
    - debian/patches/fix-mysqldump-test-dates
  * debian/control: added pkg-config to Build-Depends.

ubuntu/cosmic-devel 2019-04-29 11:58:20 UTC 2019-04-29
Import patches-unapplied version 5.7.26-0ubuntu0.18.10.1 to ubuntu/cosmic-sec...

Author: Marc Deslauriers
Author Date: 2019-04-25 16:46:45 UTC

Import patches-unapplied version 5.7.26-0ubuntu0.18.10.1 to ubuntu/cosmic-security

Imported using git-ubuntu import.

Changelog parent: 0cf0a0f258da61908c2429dc2d501b25c14a3b02

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.26 to fix security issues
    - CVE-2019-2566, CVE-2019-2581, CVE-2019-2592, CVE-2019-2614,
      CVE-2019-2627, CVE-2019-2628, CVE-2019-2632, CVE-2019-2683
  * Removed patches included in new version:
    - debian/patches/fix-mysqldump-test-dates
  * debian/control: added pkg-config to Build-Depends.

ubuntu/eoan-devel 2019-04-26 11:53:14 UTC 2019-04-26
Import patches-unapplied version 5.7.26-0ubuntu1 to ubuntu/eoan-proposed

Author: Marc Deslauriers
Author Date: 2019-04-25 16:41:32 UTC

Import patches-unapplied version 5.7.26-0ubuntu1 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: a27672af334180f2e167605cceab42801f4d7dbd

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.26 to fix security issues
    - CVE-2019-2566, CVE-2019-2581, CVE-2019-2592, CVE-2019-2614,
      CVE-2019-2627, CVE-2019-2628, CVE-2019-2632, CVE-2019-2683
  * Removed patches included in new version:
    - debian/patches/fix-mysqldump-test-dates
  * debian/control: added pkg-config to Build-Depends.

ubuntu/devel 2019-04-26 11:53:14 UTC 2019-04-26
Import patches-unapplied version 5.7.26-0ubuntu1 to ubuntu/eoan-proposed

Author: Marc Deslauriers
Author Date: 2019-04-25 16:41:32 UTC

Import patches-unapplied version 5.7.26-0ubuntu1 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: a27672af334180f2e167605cceab42801f4d7dbd

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.26 to fix security issues
    - CVE-2019-2566, CVE-2019-2581, CVE-2019-2592, CVE-2019-2614,
      CVE-2019-2627, CVE-2019-2628, CVE-2019-2632, CVE-2019-2683
  * Removed patches included in new version:
    - debian/patches/fix-mysqldump-test-dates
  * debian/control: added pkg-config to Build-Depends.

ubuntu/eoan 2019-04-26 11:53:14 UTC 2019-04-26
Import patches-unapplied version 5.7.26-0ubuntu1 to ubuntu/eoan-proposed

Author: Marc Deslauriers
Author Date: 2019-04-25 16:41:32 UTC

Import patches-unapplied version 5.7.26-0ubuntu1 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: a27672af334180f2e167605cceab42801f4d7dbd

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.26 to fix security issues
    - CVE-2019-2566, CVE-2019-2581, CVE-2019-2592, CVE-2019-2614,
      CVE-2019-2627, CVE-2019-2628, CVE-2019-2632, CVE-2019-2683
  * Removed patches included in new version:
    - debian/patches/fix-mysqldump-test-dates
  * debian/control: added pkg-config to Build-Depends.

ubuntu/eoan-proposed 2019-04-26 11:53:14 UTC 2019-04-26
Import patches-unapplied version 5.7.26-0ubuntu1 to ubuntu/eoan-proposed

Author: Marc Deslauriers
Author Date: 2019-04-25 16:41:32 UTC

Import patches-unapplied version 5.7.26-0ubuntu1 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: a27672af334180f2e167605cceab42801f4d7dbd

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.26 to fix security issues
    - CVE-2019-2566, CVE-2019-2581, CVE-2019-2592, CVE-2019-2614,
      CVE-2019-2627, CVE-2019-2628, CVE-2019-2632, CVE-2019-2683
  * Removed patches included in new version:
    - debian/patches/fix-mysqldump-test-dates
  * debian/control: added pkg-config to Build-Depends.

importer/debian/dsc 2019-01-30 13:27:18 UTC 2019-01-30
DSC file for 5.7.25-1

Author: Ubuntu Git Importer
Author Date: 2019-01-30 13:27:18 UTC

DSC file for 5.7.25-1

ubuntu/disco-proposed 2019-01-29 04:36:14 UTC 2019-01-29
Import patches-unapplied version 5.7.25-1 to debian/sid

Author: Lars Tangvald
Author Date: 2019-01-22 07:03:45 UTC

Import patches-unapplied version 5.7.25-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 52a7acb153e8636dc205f23094255e65ff6a6c7e

New changelog entries:
  * Imported upstream version 5.7.25 to fix security issues:
    - https://www.oracle.com/technetwork/security-advisory/cpujan2019-5072801.html
    - CVE-2018-0734 CVE-2019-2420 CVE-2019-2434 CVE-2019-2455
    - CVE-2019-2481 CVE-2019-2482 CVE-2019-2486 CVE-2019-2503
    - CVE-2019-2507 CVE-2019-2510 CVE-2019-2528 CVE-2019-2529
    - CVE-2019-2531 CVE-2019-2532 CVE-2019-2534 CVE-2019-2537
    (Closes: #919817)

applied/debian/sid 2019-01-29 04:36:14 UTC 2019-01-29
Import patches-applied version 5.7.25-1 to applied/debian/sid

Author: Lars Tangvald
Author Date: 2019-01-22 07:03:45 UTC

Import patches-applied version 5.7.25-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: dfb2bb7058d0e5d9d0ba2442474fabda47d009f3
Unapplied parent: d37c9f19bf41aa8274d87107052639c5eb6e0ef5

New changelog entries:
  * Imported upstream version 5.7.25 to fix security issues:
    - https://www.oracle.com/technetwork/security-advisory/cpujan2019-5072801.html
    - CVE-2018-0734 CVE-2019-2420 CVE-2019-2434 CVE-2019-2455
    - CVE-2019-2481 CVE-2019-2482 CVE-2019-2486 CVE-2019-2503
    - CVE-2019-2507 CVE-2019-2510 CVE-2019-2528 CVE-2019-2529
    - CVE-2019-2531 CVE-2019-2532 CVE-2019-2534 CVE-2019-2537
    (Closes: #919817)

ubuntu/disco 2019-01-29 04:36:14 UTC 2019-01-29
Import patches-unapplied version 5.7.25-1 to debian/sid

Author: Lars Tangvald
Author Date: 2019-01-22 07:03:45 UTC

Import patches-unapplied version 5.7.25-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 52a7acb153e8636dc205f23094255e65ff6a6c7e

New changelog entries:
  * Imported upstream version 5.7.25 to fix security issues:
    - https://www.oracle.com/technetwork/security-advisory/cpujan2019-5072801.html
    - CVE-2018-0734 CVE-2019-2420 CVE-2019-2434 CVE-2019-2455
    - CVE-2019-2481 CVE-2019-2482 CVE-2019-2486 CVE-2019-2503
    - CVE-2019-2507 CVE-2019-2510 CVE-2019-2528 CVE-2019-2529
    - CVE-2019-2531 CVE-2019-2532 CVE-2019-2534 CVE-2019-2537
    (Closes: #919817)

debian/sid 2019-01-29 04:36:14 UTC 2019-01-29
Import patches-unapplied version 5.7.25-1 to debian/sid

Author: Lars Tangvald
Author Date: 2019-01-22 07:03:45 UTC

Import patches-unapplied version 5.7.25-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 52a7acb153e8636dc205f23094255e65ff6a6c7e

New changelog entries:
  * Imported upstream version 5.7.25 to fix security issues:
    - https://www.oracle.com/technetwork/security-advisory/cpujan2019-5072801.html
    - CVE-2018-0734 CVE-2019-2420 CVE-2019-2434 CVE-2019-2455
    - CVE-2019-2481 CVE-2019-2482 CVE-2019-2486 CVE-2019-2503
    - CVE-2019-2507 CVE-2019-2510 CVE-2019-2528 CVE-2019-2529
    - CVE-2019-2531 CVE-2019-2532 CVE-2019-2534 CVE-2019-2537
    (Closes: #919817)

ubuntu/cosmic 2018-10-01 14:28:15 UTC 2018-10-01
Import patches-unapplied version 5.7.23-2ubuntu1 to ubuntu/cosmic-proposed

Author: Lars Tangvald
Author Date: 2018-09-20 06:31:11 UTC

Import patches-unapplied version 5.7.23-2ubuntu1 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: 2f8a2553a9a21b75add54f686cce65baa2100811

New changelog entries:
  * Merge from Debian.
  * Remaining changes:
    - Revert "Build with libmecab-dev" since libmecab-dev is in
      universe.
  * Drop changes:
    - debian/patches/disable_float_test.patch: disable test; this is
      fixed in Debian since 5.7.23-2 (LP: #1791010).
  * This reverts the previous direct sync from Debian, which was
    missing the above change.

ubuntu/cosmic-proposed 2018-10-01 14:28:15 UTC 2018-10-01
Import patches-unapplied version 5.7.23-2ubuntu1 to ubuntu/cosmic-proposed

Author: Lars Tangvald
Author Date: 2018-09-20 06:31:11 UTC

Import patches-unapplied version 5.7.23-2ubuntu1 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: 2f8a2553a9a21b75add54f686cce65baa2100811

New changelog entries:
  * Merge from Debian.
  * Remaining changes:
    - Revert "Build with libmecab-dev" since libmecab-dev is in
      universe.
  * Drop changes:
    - debian/patches/disable_float_test.patch: disable test; this is
      fixed in Debian since 5.7.23-2 (LP: #1791010).
  * This reverts the previous direct sync from Debian, which was
    missing the above change.

ubuntu/artful-devel 2018-04-23 17:53:30 UTC 2018-04-23
Import patches-unapplied version 5.7.22-0ubuntu0.17.10.1 to ubuntu/artful-sec...

Author: Marc Deslauriers
Author Date: 2018-04-19 15:02:20 UTC

Import patches-unapplied version 5.7.22-0ubuntu0.17.10.1 to ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: 93154f5da65d58e908eb4816d5d6feab083a2e73

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.22 to fix security issues
    - CVE-2018-2755, CVE-2018-2758, CVE-2018-2759, CVE-2018-2761,
      CVE-2018-2762, CVE-2018-2766, CVE-2018-2769, CVE-2018-2771,
      CVE-2018-2773, CVE-2018-2775, CVE-2018-2776, CVE-2018-2777,
      CVE-2018-2778, CVE-2018-2779, CVE-2018-2780, CVE-2018-2781,
      CVE-2018-2782, CVE-2018-2784, CVE-2018-2786, CVE-2018-2787,
      CVE-2018-2810, CVE-2018-2812, CVE-2018-2813, CVE-2018-2816,
      CVE-2018-2817, CVE-2018-2818, CVE-2018-2819, CVE-2018-2839,
      CVE-2018-2846
  * d/p/disable_tests.patch: disable partition_rename_longfilename test
    which fails when building locally.
  * debian/mysql-testsuite-5.7.manpages: removed, these manpages are no
    longer shipped.

ubuntu/artful-security 2018-04-23 17:53:30 UTC 2018-04-23
Import patches-unapplied version 5.7.22-0ubuntu0.17.10.1 to ubuntu/artful-sec...

Author: Marc Deslauriers
Author Date: 2018-04-19 15:02:20 UTC

Import patches-unapplied version 5.7.22-0ubuntu0.17.10.1 to ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: 93154f5da65d58e908eb4816d5d6feab083a2e73

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.22 to fix security issues
    - CVE-2018-2755, CVE-2018-2758, CVE-2018-2759, CVE-2018-2761,
      CVE-2018-2762, CVE-2018-2766, CVE-2018-2769, CVE-2018-2771,
      CVE-2018-2773, CVE-2018-2775, CVE-2018-2776, CVE-2018-2777,
      CVE-2018-2778, CVE-2018-2779, CVE-2018-2780, CVE-2018-2781,
      CVE-2018-2782, CVE-2018-2784, CVE-2018-2786, CVE-2018-2787,
      CVE-2018-2810, CVE-2018-2812, CVE-2018-2813, CVE-2018-2816,
      CVE-2018-2817, CVE-2018-2818, CVE-2018-2819, CVE-2018-2839,
      CVE-2018-2846
  * d/p/disable_tests.patch: disable partition_rename_longfilename test
    which fails when building locally.
  * debian/mysql-testsuite-5.7.manpages: removed, these manpages are no
    longer shipped.

ubuntu/artful-updates 2018-04-23 17:53:30 UTC 2018-04-23
Import patches-unapplied version 5.7.22-0ubuntu0.17.10.1 to ubuntu/artful-sec...

Author: Marc Deslauriers
Author Date: 2018-04-19 15:02:20 UTC

Import patches-unapplied version 5.7.22-0ubuntu0.17.10.1 to ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: 93154f5da65d58e908eb4816d5d6feab083a2e73

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.22 to fix security issues
    - CVE-2018-2755, CVE-2018-2758, CVE-2018-2759, CVE-2018-2761,
      CVE-2018-2762, CVE-2018-2766, CVE-2018-2769, CVE-2018-2771,
      CVE-2018-2773, CVE-2018-2775, CVE-2018-2776, CVE-2018-2777,
      CVE-2018-2778, CVE-2018-2779, CVE-2018-2780, CVE-2018-2781,
      CVE-2018-2782, CVE-2018-2784, CVE-2018-2786, CVE-2018-2787,
      CVE-2018-2810, CVE-2018-2812, CVE-2018-2813, CVE-2018-2816,
      CVE-2018-2817, CVE-2018-2818, CVE-2018-2819, CVE-2018-2839,
      CVE-2018-2846
  * d/p/disable_tests.patch: disable partition_rename_longfilename test
    which fails when building locally.
  * debian/mysql-testsuite-5.7.manpages: removed, these manpages are no
    longer shipped.

importer/ubuntu/pristine-tar 2018-03-07 18:14:33 UTC 2018-03-07
pristine-tar data for mysql-5.7_5.7.21.orig.tar.gz

Author: Ubuntu Git Importer
Author Date: 2018-03-07 18:14:33 UTC

pristine-tar data for mysql-5.7_5.7.21.orig.tar.gz

importer/debian/pristine-tar 2018-03-07 14:56:41 UTC 2018-03-07
pristine-tar data for mysql-5.7_5.7.21.orig.tar.gz

Author: Ubuntu Git Importer
Author Date: 2018-03-07 14:56:41 UTC

pristine-tar data for mysql-5.7_5.7.21.orig.tar.gz

ubuntu/bionic 2018-02-05 16:23:58 UTC 2018-02-05
Import patches-unapplied version 5.7.21-1ubuntu1 to ubuntu/bionic-proposed

Author: Lars Tangvald
Author Date: 2018-02-02 10:58:04 UTC

Import patches-unapplied version 5.7.21-1ubuntu1 to ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: fa60c1d059eba1fdf4537ceef95d822522e1685a

New changelog entries:
  * Merge from Debian.
  * Remaining changes:
    - Revert "Build with libmecab-dev" since libmecab-dev is in
      universe.

ubuntu/bionic-proposed 2018-02-05 16:23:58 UTC 2018-02-05
Import patches-unapplied version 5.7.21-1ubuntu1 to ubuntu/bionic-proposed

Author: Lars Tangvald
Author Date: 2018-02-02 10:58:04 UTC

Import patches-unapplied version 5.7.21-1ubuntu1 to ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: fa60c1d059eba1fdf4537ceef95d822522e1685a

New changelog entries:
  * Merge from Debian.
  * Remaining changes:
    - Revert "Build with libmecab-dev" since libmecab-dev is in
      universe.

ubuntu/zesty-updates 2017-10-23 12:55:27 UTC 2017-10-23
Import patches-unapplied version 5.7.20-0ubuntu0.17.04.1 to ubuntu/zesty-secu...

Author: Marc Deslauriers
Author Date: 2017-10-18 11:44:55 UTC

Import patches-unapplied version 5.7.20-0ubuntu0.17.04.1 to ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: 627cdfb5167a7e6c00c514cdce45e4a1d9d77de2

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.20 to fix security issues
    - CVE-2017-10155, CVE-2017-10165, CVE-2017-10167, CVE-2017-10227,
      CVE-2017-10268, CVE-2017-10276, CVE-2017-10283, CVE-2017-10286,
      CVE-2017-10294, CVE-2017-10311, CVE-2017-10313, CVE-2017-10314,
      CVE-2017-10320, CVE-2017-10379, CVE-2017-10384
  * Removed patches included in new version:
    - debian/patches/fix_failing_test.patch

ubuntu/zesty-devel 2017-10-23 12:55:27 UTC 2017-10-23
Import patches-unapplied version 5.7.20-0ubuntu0.17.04.1 to ubuntu/zesty-secu...

Author: Marc Deslauriers
Author Date: 2017-10-18 11:44:55 UTC

Import patches-unapplied version 5.7.20-0ubuntu0.17.04.1 to ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: 627cdfb5167a7e6c00c514cdce45e4a1d9d77de2

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.20 to fix security issues
    - CVE-2017-10155, CVE-2017-10165, CVE-2017-10167, CVE-2017-10227,
      CVE-2017-10268, CVE-2017-10276, CVE-2017-10283, CVE-2017-10286,
      CVE-2017-10294, CVE-2017-10311, CVE-2017-10313, CVE-2017-10314,
      CVE-2017-10320, CVE-2017-10379, CVE-2017-10384
  * Removed patches included in new version:
    - debian/patches/fix_failing_test.patch

ubuntu/zesty-security 2017-10-23 12:55:27 UTC 2017-10-23
Import patches-unapplied version 5.7.20-0ubuntu0.17.04.1 to ubuntu/zesty-secu...

Author: Marc Deslauriers
Author Date: 2017-10-18 11:44:55 UTC

Import patches-unapplied version 5.7.20-0ubuntu0.17.04.1 to ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: 627cdfb5167a7e6c00c514cdce45e4a1d9d77de2

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.20 to fix security issues
    - CVE-2017-10155, CVE-2017-10165, CVE-2017-10167, CVE-2017-10227,
      CVE-2017-10268, CVE-2017-10276, CVE-2017-10283, CVE-2017-10286,
      CVE-2017-10294, CVE-2017-10311, CVE-2017-10313, CVE-2017-10314,
      CVE-2017-10320, CVE-2017-10379, CVE-2017-10384
  * Removed patches included in new version:
    - debian/patches/fix_failing_test.patch

ubuntu/artful-proposed 2017-08-01 14:08:35 UTC 2017-08-01
Import patches-unapplied version 5.7.19-0ubuntu1 to ubuntu/artful-proposed

Author: Marc Deslauriers
Author Date: 2017-08-01 12:02:22 UTC

Import patches-unapplied version 5.7.19-0ubuntu1 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: d76a88683dda47b9d44d010678e730e5e61064cc

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.19 to fix security issues
    - CVE-2017-3529, CVE-2017-3633, CVE-2017-3634, CVE-2017-3635,
      CVE-2017-3637, CVE-2017-3638, CVE-2017-3639, CVE-2017-3640,
      CVE-2017-3641, CVE-2017-3642, CVE-2017-3643, CVE-2017-3644,
      CVE-2017-3645, CVE-2017-3647, CVE-2017-3648, CVE-2017-3649,
      CVE-2017-3650, CVE-2017-3651, CVE-2017-3652, CVE-2017-3653
  * Removed patches included in new version:
    - debian/patches/removedojo.patch
    - fix_test_mysql_not_windows.patch

ubuntu/artful 2017-08-01 14:08:35 UTC 2017-08-01
Import patches-unapplied version 5.7.19-0ubuntu1 to ubuntu/artful-proposed

Author: Marc Deslauriers
Author Date: 2017-08-01 12:02:22 UTC

Import patches-unapplied version 5.7.19-0ubuntu1 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: d76a88683dda47b9d44d010678e730e5e61064cc

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.19 to fix security issues
    - CVE-2017-3529, CVE-2017-3633, CVE-2017-3634, CVE-2017-3635,
      CVE-2017-3637, CVE-2017-3638, CVE-2017-3639, CVE-2017-3640,
      CVE-2017-3641, CVE-2017-3642, CVE-2017-3643, CVE-2017-3644,
      CVE-2017-3645, CVE-2017-3647, CVE-2017-3648, CVE-2017-3649,
      CVE-2017-3650, CVE-2017-3651, CVE-2017-3652, CVE-2017-3653
  * Removed patches included in new version:
    - debian/patches/removedojo.patch
    - fix_test_mysql_not_windows.patch

ubuntu/yakkety-updates 2017-04-27 14:03:15 UTC 2017-04-27
Import patches-unapplied version 5.7.18-0ubuntu0.16.10.1 to ubuntu/yakkety-se...

Author: Marc Deslauriers
Author Date: 2017-04-26 11:22:12 UTC

Import patches-unapplied version 5.7.18-0ubuntu0.16.10.1 to ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 9e0ecd4556bde6250897cbbdc9c77d7318196efa

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.18 to fix security issues
    - CVE-2017-3308, CVE-2017-3309, CVE-2017-3329, CVE-2017-3331,
      CVE-2017-3450, CVE-2017-3453, CVE-2017-3454, CVE-2017-3455,
      CVE-2017-3456, CVE-2017-3457, CVE-2017-3458, CVE-2017-3459,
      CVE-2017-3460, CVE-2017-3461, CVE-2017-3462, CVE-2017-3463,
      CVE-2017-3464, CVE-2017-3465, CVE-2017-3467, CVE-2017-3468,
      CVE-2017-3599, CVE-2017-3600
  * Removed patches included in new version:
    - debian/patches/fix_test_events_2.patch
  * debian/mysql-server-5.7.install: added connection_control.so
  * debian/server-core.install: removed my-default.cnf

ubuntu/yakkety-devel 2017-04-27 14:03:15 UTC 2017-04-27
Import patches-unapplied version 5.7.18-0ubuntu0.16.10.1 to ubuntu/yakkety-se...

Author: Marc Deslauriers
Author Date: 2017-04-26 11:22:12 UTC

Import patches-unapplied version 5.7.18-0ubuntu0.16.10.1 to ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 9e0ecd4556bde6250897cbbdc9c77d7318196efa

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.18 to fix security issues
    - CVE-2017-3308, CVE-2017-3309, CVE-2017-3329, CVE-2017-3331,
      CVE-2017-3450, CVE-2017-3453, CVE-2017-3454, CVE-2017-3455,
      CVE-2017-3456, CVE-2017-3457, CVE-2017-3458, CVE-2017-3459,
      CVE-2017-3460, CVE-2017-3461, CVE-2017-3462, CVE-2017-3463,
      CVE-2017-3464, CVE-2017-3465, CVE-2017-3467, CVE-2017-3468,
      CVE-2017-3599, CVE-2017-3600
  * Removed patches included in new version:
    - debian/patches/fix_test_events_2.patch
  * debian/mysql-server-5.7.install: added connection_control.so
  * debian/server-core.install: removed my-default.cnf

ubuntu/yakkety-security 2017-04-27 14:03:15 UTC 2017-04-27
Import patches-unapplied version 5.7.18-0ubuntu0.16.10.1 to ubuntu/yakkety-se...

Author: Marc Deslauriers
Author Date: 2017-04-26 11:22:12 UTC

Import patches-unapplied version 5.7.18-0ubuntu0.16.10.1 to ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 9e0ecd4556bde6250897cbbdc9c77d7318196efa

New changelog entries:
  * SECURITY UPDATE: Update to 5.7.18 to fix security issues
    - CVE-2017-3308, CVE-2017-3309, CVE-2017-3329, CVE-2017-3331,
      CVE-2017-3450, CVE-2017-3453, CVE-2017-3454, CVE-2017-3455,
      CVE-2017-3456, CVE-2017-3457, CVE-2017-3458, CVE-2017-3459,
      CVE-2017-3460, CVE-2017-3461, CVE-2017-3462, CVE-2017-3463,
      CVE-2017-3464, CVE-2017-3465, CVE-2017-3467, CVE-2017-3468,
      CVE-2017-3599, CVE-2017-3600
  * Removed patches included in new version:
    - debian/patches/fix_test_events_2.patch
  * debian/mysql-server-5.7.install: added connection_control.so
  * debian/server-core.install: removed my-default.cnf

ubuntu/xenial-proposed 2017-02-06 13:08:14 UTC 2017-02-06
Import patches-unapplied version 5.7.17-0ubuntu0.16.04.2 to ubuntu/xenial-pro...

Author: Lars Tangvald
Author Date: 2017-02-03 07:53:04 UTC

Import patches-unapplied version 5.7.17-0ubuntu0.16.04.2 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: af65363db52af958263e9b6df1df6b8e56c7581e

New changelog entries:
  * Add libjson-perl dependency for test suite (LP: #1631338)
    The last two python tests in the mtr suite were rewritten
    in perl, and require this package. Added for mysql-testsuite
    and as a build-dep.
  * Build with DWITH_LZ4=system (LP: #1631339)
    Package was previously built with bundled liblz4, though it
    was specified as a build-dep.
  * Add support for custom datadir to systemd service (LP: #1574782)
    The service was reporting an error if no database could be found in
    /var/lib/mysql. It now checks the location specified in the config.
    Note that user must still handle apparmor access for custom datadir.
  * Fix copy of soft-link datadir to /var/lib/mysql-upgrade (LP: #1474212)
    Upgrade would sometimes fail if mysql-upgrade already contained a
    link copy from a previous upgrade.
  * Escape special characters in password (LP: #1598992)
    Special characters in the root password would cause syntax errors
    and postinst failures.
  * Failing tests on platforms supported by upstream fail build (LP: #1646488)
    A passing test suite is now enforced on i386 and amd64 platforms at
    build-time.
  * d/copyright: Updated with information about new source files
  * Unstable test main.xa_prepared_binlog_off disabled pending upstream fix.
    Upstream bug report: http://bugs.mysql.com/bug.php?id=83340
  * d/lintian-overrides: Updated line numbers

ubuntu/zesty 2017-01-16 13:13:18 UTC 2017-01-16
Import patches-unapplied version 5.7.17-0ubuntu1 to ubuntu/zesty-proposed

Author: Lars Tangvald
Author Date: 2017-01-16 12:07:55 UTC

Import patches-unapplied version 5.7.17-0ubuntu1 to ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: 3c159ca08eca6bfa9d9910dc69fa7a99c0167fde

New changelog entries:
  * Merge from Debian VCS 8305cfa. Remaining changes:
    - Revert "Build with libmecab-dev" since libmecab-dev is in
      universe.
  * Additional changes picked up from Debian VCS since 5.7.16-2:
    - [4a72d12] Merge new upstream release 5.7.17.
    - [8305cfa] d/p/fix_mysql_config_flags.patch: update due to context
      changes upstream.

ubuntu/zesty-proposed 2017-01-16 13:13:18 UTC 2017-01-16
Import patches-unapplied version 5.7.17-0ubuntu1 to ubuntu/zesty-proposed

Author: Lars Tangvald
Author Date: 2017-01-16 12:07:55 UTC

Import patches-unapplied version 5.7.17-0ubuntu1 to ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: 3c159ca08eca6bfa9d9910dc69fa7a99c0167fde

New changelog entries:
  * Merge from Debian VCS 8305cfa. Remaining changes:
    - Revert "Build with libmecab-dev" since libmecab-dev is in
      universe.
  * Additional changes picked up from Debian VCS since 5.7.16-2:
    - [4a72d12] Merge new upstream release 5.7.17.
    - [8305cfa] d/p/fix_mysql_config_flags.patch: update due to context
      changes upstream.

ubuntu/yakkety 2016-09-20 09:55:24 UTC 2016-09-20
Import patches-unapplied version 5.7.15-0ubuntu2 to ubuntu/yakkety-proposed

Author: Lars Tangvald
Author Date: 2016-09-16 20:23:41 UTC

Import patches-unapplied version 5.7.15-0ubuntu2 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: 3a7917573d4e8bbcee4847af853ea79e2c6e86a5

New changelog entries:
  * Add working dir to perl lib path for dep8 upstream.
    New versions of perl will no longer automatically include working dir in
    the path. This was causing the mtr suite to fail to start.
  * Change mysql-testsuite dependency from python to libjson-perl.
    Tests written in python were rewritten in perl, so testsuite no longer
    depends on python, but tests fail if libjson-perl is missing.
  * Build with DWITH_LZ4=system
    If the flag is not set the package will be built with a bundled liblz4
    instead of the one provided by the liblz4-dev build-dep.
  * Add support for custom datadir to systemd service (LP: #1574782)
    The service was reporting errors if no database was found in /var/lib/mysql
    It will now check the path specified in the config
  * Fix support for soft-link datadir (LP: #1474212)
    Upgrading more than once when datadir is soft-link was causing errors
  * Escape special characters in password (LP: #1598992)
    The password string was not escaped, causing SQL errors if certain special
    characters such as apostrophes were included.
  * Removed always-false check on purge in postrm (LP: #1602945)
    Users were never seeing the query to remove data on a package purge

ubuntu/yakkety-proposed 2016-09-20 09:55:24 UTC 2016-09-20
Import patches-unapplied version 5.7.15-0ubuntu2 to ubuntu/yakkety-proposed

Author: Lars Tangvald
Author Date: 2016-09-16 20:23:41 UTC

Import patches-unapplied version 5.7.15-0ubuntu2 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: 3a7917573d4e8bbcee4847af853ea79e2c6e86a5

New changelog entries:
  * Add working dir to perl lib path for dep8 upstream.
    New versions of perl will no longer automatically include working dir in
    the path. This was causing the mtr suite to fail to start.
  * Change mysql-testsuite dependency from python to libjson-perl.
    Tests written in python were rewritten in perl, so testsuite no longer
    depends on python, but tests fail if libjson-perl is missing.
  * Build with DWITH_LZ4=system
    If the flag is not set the package will be built with a bundled liblz4
    instead of the one provided by the liblz4-dev build-dep.
  * Add support for custom datadir to systemd service (LP: #1574782)
    The service was reporting errors if no database was found in /var/lib/mysql
    It will now check the path specified in the config
  * Fix support for soft-link datadir (LP: #1474212)
    Upgrading more than once when datadir is soft-link was causing errors
  * Escape special characters in password (LP: #1598992)
    The password string was not escaped, causing SQL errors if certain special
    characters such as apostrophes were included.
  * Removed always-false check on purge in postrm (LP: #1602945)
    Users were never seeing the query to remove data on a package purge

applied/debian/experimental 2016-07-15 10:11:18 UTC 2016-07-15
Import patches-applied version 5.7.13-1~exp1 to applied/debian/experimental

Author: Robie Basak
Author Date: 2016-07-15 01:15:14 UTC

Import patches-applied version 5.7.13-1~exp1 to applied/debian/experimental

Imported using git-ubuntu import.

Unapplied parent: d2b948d7a7f02681aa153ba47d886c1191b23302

debian/experimental 2016-07-15 10:11:18 UTC 2016-07-15
Import patches-unapplied version 5.7.13-1~exp1 to debian/experimental

Author: Robie Basak
Author Date: 2016-07-15 01:15:14 UTC

Import patches-unapplied version 5.7.13-1~exp1 to debian/experimental

Imported using git-ubuntu import.

ubuntu/xenial 2016-04-14 05:04:26 UTC 2016-04-14
Import patches-unapplied version 5.7.11-0ubuntu6 to ubuntu/xenial-proposed

Author: Robie Basak
Author Date: 2016-04-13 16:34:08 UTC

Import patches-unapplied version 5.7.11-0ubuntu6 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: fc66e4b1d6d7c045a0d6a142993a705e205de37f

New changelog entries:
  [ Lars Tangvald ]
  * Added patch for exporting my_make_scrambled_password to fix
    pure-ftpd FTBFS.
  * Client commands in d/postinst will ignore custom config (LP:
    #1567695)
  * Enable changing root password on install if previous db had empty
    (LP: #1567098)
  [ Robie Basak ]
  * d/mysql-server-5.7.postinst: quote "$rootpw" correctly.
  * d/control: add libnuma-dev and libaio-dev to libmysqld-dev
    dependencies, since these are required according to "mysql_config
    --libmysqld-libs". This fixes FTBFS of packages that use
    libmysqld-dev.

applied/ubuntu/xenial-devel 2016-03-23 08:18:59 UTC 2016-03-23
Import patches-applied version 5.7.11-0ubuntu2 to applied/ubuntu/xenial-proposed

Author: Adam Conrad
Author Date: 2016-03-22 00:14:50 UTC

Import patches-applied version 5.7.11-0ubuntu2 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 9cb7395f24451159995155082043ccd25e9970c6
Unapplied parent: 28888a5bc4e481f312cc3b01347eff0cd411a9ba

New changelog entries:
  * debian/rules: Use the system libevent, not the bundled version.
  * debian/control: Limit libnuma build-dep to arches that have it.
  * debian/patches/mysql-atomic.patch: Patch from upstream to add
    support for __atomic builtins and prefer __sync where available.
  * debian/patches/mysql-atomic-link.patch: Link atomic when needed.
  * debian/patches/mysql-atomic-innodb.patch: Update innodb atomics.

applied/ubuntu/xenial-proposed 2016-03-23 08:18:59 UTC 2016-03-23
Import patches-applied version 5.7.11-0ubuntu2 to applied/ubuntu/xenial-proposed

Author: Adam Conrad
Author Date: 2016-03-22 00:14:50 UTC

Import patches-applied version 5.7.11-0ubuntu2 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 9cb7395f24451159995155082043ccd25e9970c6
Unapplied parent: 28888a5bc4e481f312cc3b01347eff0cd411a9ba

New changelog entries:
  * debian/rules: Use the system libevent, not the bundled version.
  * debian/control: Limit libnuma build-dep to arches that have it.
  * debian/patches/mysql-atomic.patch: Patch from upstream to add
    support for __atomic builtins and prefer __sync where available.
  * debian/patches/mysql-atomic-link.patch: Link atomic when needed.
  * debian/patches/mysql-atomic-innodb.patch: Update innodb atomics.

applied/ubuntu/devel 2016-03-23 08:18:59 UTC 2016-03-23
Import patches-applied version 5.7.11-0ubuntu2 to applied/ubuntu/xenial-proposed

Author: Adam Conrad
Author Date: 2016-03-22 00:14:50 UTC

Import patches-applied version 5.7.11-0ubuntu2 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 9cb7395f24451159995155082043ccd25e9970c6
Unapplied parent: 28888a5bc4e481f312cc3b01347eff0cd411a9ba

New changelog entries:
  * debian/rules: Use the system libevent, not the bundled version.
  * debian/control: Limit libnuma build-dep to arches that have it.
  * debian/patches/mysql-atomic.patch: Patch from upstream to add
    support for __atomic builtins and prefer __sync where available.
  * debian/patches/mysql-atomic-link.patch: Link atomic when needed.
  * debian/patches/mysql-atomic-innodb.patch: Update innodb atomics.

150 of 50 results

Other repositories

Name Last Modified
lp:ubuntu/+source/mysql-5.7 2019-04-29
lp:~kstenerud/ubuntu/+source/mysql-5.7 2018-11-05
lp:~racb/ubuntu/+source/mysql-5.7 2018-01-11
13 of 3 results
You can't create new repositories for mysql-5.7 in Ubuntu.